2019-06-19 19:32 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000961WormsDC[All Projects] Generalpublic2013-08-06 21:12
ReporterVille Haapanen 
Assigned ToPsygoreProject InfoWorms - The Director's Cut (Team 17)
http://www.whdload.de/games/WormsDC.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0000961: Worms - The Director's Cut: The game crashes when the first worm drops on water
DescriptionInstall: Worms - The Director's Cut (Team 17) http://whdload.de/games/WormsDC.html
GameVersion: english,pal
SlaveVersion: 1.1 from 15.3.2003

The game crashes when the first worm drops on water (splosh!). First the game jammed and then comes the guru.
TagsNo tags attached.
MachineA1200
CPU68060 + PPC
CPUSpeed60
ChipSetAGA
GFXCardBlizzardVision PPC
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftOther
WHDLoad16.4
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0001430

Ville Haapanen (reporter)

Still hangs when first worm hits the water (WHDLoad 16.9).

note ~0001866

Ville Haapanen (reporter)

Also when a worm is thrown/blown/hit outside the screen the game is jammed. You can exit with a quitkey though.

note ~0001939

Psygore (developer)

Have you added some customs levels and/or sample set into the dir?

note ~0001940

Ville Haapanen (reporter)

Nope i extracted it straight from KG's packs to both RAM: and my harddisk just to be sure and ran it.

note ~0001946

Psygore (developer)

What is the version of 'WormsDC' executable? 1.00/1.03/1.05?
Have you try with NOCACHE option?
I've uploaded two slaves 1.2 (one using 8Meg of fastmem for extra levels/samples)
they are compiled with the last kickemu, could you test it?

note ~0001947

Ville Haapanen (reporter)

Last edited: 2010-09-24 10:09

View 3 revisions

How can i check which version of WormsDC i have? Version-command gives no info. I tried with the new non-8mg slave with NOCACHE set and didn't experience any crashes now :). I'll try with my custom sound setup and 8meg slave soon.

EDIT: okay i found a WormsDC patch-disk and updated WormsDC to 1.05, tested and seems to work great!
EDIT part II: tested 8meg.slave with my custom sounds and levels and seems to work a treat there too!

note ~0001948

Psygore (developer)

Thanks fot testing.
You can check the version by searching the ascii string: "v1." (without quotes)
in WormsDC file.
Here the supported versions:
v1.0 - 4/3/97
v1.03 - 27/5/97
v1.05 - 17/10/97
Does it work without NOCACHE option now?

note ~0001949

Ville Haapanen (reporter)

No, without NOCACHE the game freezes/crashes. The old slave did this even when NOCACHE was used.

note ~0002375

Psygore (developer)

Could you try this new slave (v1.2b) without NOCACHE ?

note ~0002376

Ville Haapanen (reporter)

Thanks I'll try it.

note ~0002431

Ville Haapanen (reporter)

My A1200 is currently under repair so I'm unable to test this as of now.

note ~0002461

Psygore (developer)

new install available

note ~0002484

piru (reporter)

The game still crashes for me when teleporting to water. It also nukes when teleporting over supply crate.

I have an A1200 with BPPC 060. The game is the one you can download from http://www.dream17.info/download.php?id=52 and the slave version is 1.2. WHDLoad version is 17.0.5139 registered. This issue doesn't appear to be resolved after all.

note ~0002485

Psygore (developer)

It was reported to work on BPPC 060 (0001106).

There are only crashes when teleporting ?
Does NOCACHE option solve the prob?

note ~0002486

piru (reporter)

I've only seen it crash when teleporting (either into the water or to over a supply crate). NOCACHE does solve the crash.

note ~0002493

Psygore (developer)

Thanks for your report.
Does it crash too when CACHE option is set?

I've done a new slave, I replaced the interrupt sfx routine.
Maybe it will run ok now, btw sfx can be turn off (for debugging purposes).
Pls tell me if the new slave still crash (without NOCACHE) and with soundfx yes/no.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 00:42 administrator New Issue
2009-04-10 00:42 administrator Status new => assigned
2009-04-10 00:42 administrator Assigned To => Psygore
2009-04-10 00:42 administrator Machine => A1200
2009-04-10 00:42 administrator CPU => 68060 + PPC
2009-04-10 00:42 administrator CPUSpeed => 60
2009-04-10 00:42 administrator ChipSet => AGA
2009-04-10 00:42 administrator GFXCard => BlizzardVision PPC
2009-04-10 00:42 administrator ChipMem => 2 MB
2009-04-10 00:42 administrator FastMem => 128 MB
2009-04-10 00:42 administrator Workbench => OS 3.9
2009-04-10 00:42 administrator KickROM => 40 - Kick 3.1
2009-04-10 00:42 administrator KickSoft => Other
2009-04-10 00:42 administrator WHDLoad => 16.4
2009-04-10 00:42 administrator imported => yes
2009-09-08 00:13 Ville Haapanen Note Added: 0001430
2010-07-20 18:00 Ville Haapanen Note Added: 0001866
2010-09-18 11:52 Psygore Note Added: 0001939
2010-09-18 12:28 Ville Haapanen Note Added: 0001940
2010-09-23 22:09 Psygore File Added: WormsDC_12.lzx
2010-09-23 22:12 Psygore Note Added: 0001946
2010-09-24 09:41 Ville Haapanen Note Added: 0001947
2010-09-24 09:56 Ville Haapanen Note Edited: 0001947 View Revisions
2010-09-24 10:09 Ville Haapanen Note Edited: 0001947 View Revisions
2010-09-24 14:31 Psygore Note Added: 0001948
2010-09-24 18:22 Ville Haapanen Note Added: 0001949
2011-06-11 21:22 Psygore File Added: WormsDC12b.lha
2011-06-11 21:24 Psygore Note Added: 0002375
2011-06-11 22:49 Ville Haapanen Note Added: 0002376
2011-07-15 09:03 Ville Haapanen Note Added: 0002431
2011-08-21 21:34 Psygore Note Added: 0002461
2011-08-21 21:34 Psygore Status assigned => resolved
2011-08-21 21:34 Psygore Resolution open => fixed
2011-09-18 14:33 piru Note Added: 0002484
2011-09-19 11:33 Psygore Note Added: 0002485
2011-09-19 23:20 piru Note Added: 0002486
2011-10-20 15:34 Psygore Note Added: 0002493
2011-10-20 15:35 Psygore File Added: WormsDC13a.lha
2013-08-06 21:12 Wepl Status resolved => closed
+Issue History